"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readFrontmatter = void 0;
const fs_1 = require("fs");
const grayMatter = require("gray-matter");
/**
 * Reads and parses a file's frontmatter, if any
 */
async function readFrontmatter(filePath) {
    // NOTE: This reads the ENTIRE file, not just the frontmatter section.
    // TODO: Add logic to only read the frontmatter section of the file.
    const contents = await fs_1.promises.readFile(filePath, "utf8");
    // Parse the frontmatter
    const matter = grayMatter(contents);
    return matter.data;
}
exports.readFrontmatter = readFrontmatter;
//# sourceMappingURL=read-frontmatter.js.map