import { Processor, Transformer } from "unified";
import { NormalizedOptions } from "./options";
/**
 * This MDX plugin doesn't actually do anything. It just waits for the sitemap.xml file to finish
 * being generated, so MDX doesn't return while we're still reading/writing files.
 * This also ensures that the FileCache is fully populated, so subsequent MDX plugins can utilize it.
 */
export declare function awaitSitemap(this: Processor): Transformer;
/**
 * Creates a sitemap.xml file containing all the pages on the site.
 * Markdown and MDX pages can customize sitemap values in their frontmatter.
 */
export declare function generateSitemap(options: NormalizedOptions): void;
